Create an access token

POST https://developer.api.us.walmart.com/api-proxy/service/identity/oauth/v1/token

This request creates an access token.

An authentication token is required to make all requests.
The authentication token will be be valid for a limited period, indicated in the response body field expires_in.

This is typically added as the Authentication header value for the request.
For example, the complete access token would look like this:

"Authentication": "Bearer eyJraWQiOiI1NmM0M2M5My1...yJ8Ji-NRk8mVtXA"

The access token does not refresh automatically.
Walmart GoLocal recommends creating a new access token before each request to ensure a valid access token.

Example

This request creates an access token.

The client_id and client_secret values are only examples.
The parameters are sent in key-value pairs in x-www-form-urlencoded format.

POST https://developer.api.us.walmart.com/api-proxy/service/identity/oauth/v1/token

Request body:

Request Headers:
Content-Type: application/x-www-form-urlencoded
Accept: application/json Request Body:
grant_type: "client_credentials"
client_id: "7d55b982-faea-410d-a5c6-3cf6debb2973"
client_secret: "REPrXfS1yczHxrQMmouPt5WF9UgTL4ydl6o6_i2Izi4LjPAR9nLt-TjMwe3JQXyxktmk9dJJDooYhB-vBHcsOQ"

The response body:

{ "token_type": "Bearer", "expires_in": 900, "access_token": "eyJraWQiOiI1NmM0M2M5My1...yJ8Ji-NRk8mVtXA"
}

See Also

To book a delivery, see POST /deliveries.

To search for a delivery, see POST /deliveries/search.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Form Data

Specifies the user's authentication details.

The fields are sent in key-value pairs in x-www-form-urlencoded format.

string
required

Specifies the literal client_credentials.

Example: client_credentials

uuid
required
length between 36 and 36

Specifies the client identifier.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 7d55b982-faea-410d-a5c6-3cf6debb2973

string
required

Specifies the client secret.

This is the client secret for the OAuth2 client credentials.
See your Technical Account Manager for this value.

Example: 4dae7251-2d34-4643-822c-fe2d8206410b

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

500

Internal Server Error. The server encountered an error while processing the request.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json